Bug 1480846 - [abrt] PackageKit: repo_internalize_trigger(): packagekitd killed by signal 11
[abrt] PackageKit: repo_internalize_trigger(): packagekitd killed by signal 11
Status: NEW
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
27
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:552152719227dc01f65e13f3fa7...
:
: 1514819 1519219 1519648 1524525 1525366 1528054 1529380 1529829 1532061 1532063 1532120 1540146 1542747 1544037 1544989 1546567 1547342 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-12 06:13 EDT by Mikhail
Modified: 2018-02-21 11:18 EST (History)
33 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.75 KB, text/plain)
2017-08-12 06:13 EDT, Mikhail
no flags Details
File: cgroup (184 bytes, text/plain)
2017-08-12 06:13 EDT, Mikhail
no flags Details
File: core_backtrace (11.17 KB, text/plain)
2017-08-12 06:13 EDT, Mikhail
no flags Details
File: cpuinfo (1.22 KB, text/plain)
2017-08-12 06:13 EDT, Mikhail
no flags Details
File: dso_list (8.04 KB, text/plain)
2017-08-12 06:13 EDT, Mikhail
no flags Details
File: environ (190 bytes, text/plain)
2017-08-12 06:13 EDT, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2017-08-12 06:13 EDT, Mikhail
no flags Details
File: maps (38.15 KB, text/plain)
2017-08-12 06:13 EDT, Mikhail
no flags Details
File: open_fds (5.34 KB, text/plain)
2017-08-12 06:13 EDT, Mikhail
no flags Details
File: proc_pid_status (1.24 KB, text/plain)
2017-08-12 06:13 EDT, Mikhail
no flags Details
File: var_log_messages (2.37 KB, text/plain)
2017-08-12 06:13 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2017-08-12 06:13:31 EDT
Version-Release number of selected component:
PackageKit-1.1.6-2.fc27

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: repo_internalize_trigger
executable:     /usr/libexec/packagekitd
journald_cursor: s=1742e32a87b14f888428d8b410d30c50;i=64d6e;b=e08b30bce3ef461f88fae20d65b3bffe;m=4c2475d51e;t=55680b778e7b8;x=86479225e42b86e9
kernel:         4.13.0-0.rc3.git4.1.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 repo_internalize_trigger at /usr/src/debug/libdnf-0.9.3-1.fc27.x86_64/libdnf/hy-repo.c:59
 #1 repo_internalize_all_trigger at /usr/src/debug/libdnf-0.9.3-1.fc27.x86_64/libdnf/hy-repo.c:52
 #2 dnf_sack_make_provides_ready at /usr/src/debug/libdnf-0.9.3-1.fc27.x86_64/libdnf/dnf-sack.c:1579
 #3 filter_provides_reldep at /usr/src/debug/libdnf-0.9.3-1.fc27.x86_64/libdnf/hy-query.c:529
 #4 hy_query_apply at /usr/src/debug/libdnf-0.9.3-1.fc27.x86_64/libdnf/hy-query.c:949
 #5 hy_query_run_set at /usr/src/debug/libdnf-0.9.3-1.fc27.x86_64/libdnf/hy-query.c:1386
 #6 dnf_utils_run_query_with_newest_filter at pk-backend-dnf.c:787
 #7 dnf_utils_run_query_with_filters at pk-backend-dnf.c:856
 #8 pk_backend_search_thread at pk-backend-dnf.c:1005
 #9 pk_backend_job_thread_setup at pk-backend-job.c:813

Potential duplicate: bug 1475357
Comment 1 Mikhail 2017-08-12 06:13:37 EDT
Created attachment 1312384 [details]
File: backtrace
Comment 2 Mikhail 2017-08-12 06:13:38 EDT
Created attachment 1312385 [details]
File: cgroup
Comment 3 Mikhail 2017-08-12 06:13:40 EDT
Created attachment 1312386 [details]
File: core_backtrace
Comment 4 Mikhail 2017-08-12 06:13:42 EDT
Created attachment 1312387 [details]
File: cpuinfo
Comment 5 Mikhail 2017-08-12 06:13:44 EDT
Created attachment 1312388 [details]
File: dso_list
Comment 6 Mikhail 2017-08-12 06:13:45 EDT
Created attachment 1312389 [details]
File: environ
Comment 7 Mikhail 2017-08-12 06:13:47 EDT
Created attachment 1312390 [details]
File: limits
Comment 8 Mikhail 2017-08-12 06:13:49 EDT
Created attachment 1312391 [details]
File: maps
Comment 9 Mikhail 2017-08-12 06:13:51 EDT
Created attachment 1312392 [details]
File: open_fds
Comment 10 Mikhail 2017-08-12 06:13:52 EDT
Created attachment 1312393 [details]
File: proc_pid_status
Comment 11 Mikhail 2017-08-12 06:13:54 EDT
Created attachment 1312394 [details]
File: var_log_messages
Comment 12 Jan Kurik 2017-08-15 02:22:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 13 Norman Davidson 2017-11-17 04:20:11 EST
Similar problem has been detected:

A dnf update was in progress at the time that packagekit crashed.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: repo_internalize_trigger
executable:     /usr/libexec/packagekitd
journald_cursor: s=6f036404e841423a9073e2f8a8b2868c;i=22fc5;b=3533d30b644e464cb9b0f57145773cdd;m=1f03eb8e5;t=55e2a26070d43;x=f11e5f41a4dd385e
kernel:         4.13.12-300.fc27.x86_64
package:        PackageKit-1.1.7-1.fc27
reason:         packagekitd killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0
Comment 14 fedbzville 2017-11-18 12:54:37 EST
*** Bug 1514819 has been marked as a duplicate of this bug. ***
Comment 15 juan alberto 2017-11-30 07:28:36 EST
*** Bug 1519219 has been marked as a duplicate of this bug. ***
Comment 16 Sylvain Réault 2017-12-01 02:12:58 EST
*** Bug 1519648 has been marked as a duplicate of this bug. ***
Comment 17 Thom Carlin 2017-12-11 11:13:46 EST
*** Bug 1524525 has been marked as a duplicate of this bug. ***
Comment 18 david newhamlet 2017-12-13 02:56:37 EST
*** Bug 1525366 has been marked as a duplicate of this bug. ***
Comment 19 webdesigner 2017-12-20 16:59:48 EST
*** Bug 1528054 has been marked as a duplicate of this bug. ***
Comment 20 Jan Vlug 2017-12-25 09:09:15 EST
I added a flatpak repo (via the command line) not so long before this happened. Could that be related?
Comment 21 David W. Legg 2017-12-27 12:27:07 EST
Similar problem has been detected:

Logged into kde

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: repo_internalize_trigger
executable:     /usr/libexec/packagekitd
journald_cursor: s=a3e15dd6ddb54ef180574dd58bd2eaff;i=c20a;b=991bfc0991da41018e21179b19edc632;m=8f5b077f2;t=56154f152defb;x=7cf6360f6e8d9eb5
kernel:         4.14.8-300.fc27.x86_64
package:        PackageKit-1.1.7-1.fc27
reason:         packagekitd killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0
Comment 22 azalahez 2017-12-27 15:50:57 EST
*** Bug 1529380 has been marked as a duplicate of this bug. ***
Comment 23 Dmitry 2017-12-29 21:35:19 EST
*** Bug 1529829 has been marked as a duplicate of this bug. ***
Comment 24 Adrian Likins 2018-01-02 11:17:37 EST
Similar problem has been detected:

Believe this was related to flatpak use, but didn't notice the crash report at the time.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: repo_internalize_trigger
executable:     /usr/libexec/packagekitd
journald_cursor: s=87835f36c82a4c2e835745dc005338da;i=8bb3d;b=d1f10df4bc3a4c4ea0c3c317c7ff59e4;m=12b43010132;t=560233d113c2a;x=ce765dbdff5a7609
kernel:         4.13.13-300.fc27.x86_64
package:        PackageKit-1.1.7-1.fc27
reason:         packagekitd killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0
Comment 25 Paulim_hed 2018-01-07 15:13:09 EST
*** Bug 1532061 has been marked as a duplicate of this bug. ***
Comment 26 Paulim_hed 2018-01-07 15:15:01 EST
*** Bug 1532063 has been marked as a duplicate of this bug. ***
Comment 27 Paulim_hed 2018-01-07 22:41:40 EST
*** Bug 1532120 has been marked as a duplicate of this bug. ***
Comment 28 JAlberto 2018-01-30 06:15:41 EST
*** Bug 1540146 has been marked as a duplicate of this bug. ***
Comment 29 Tomas Toth 2018-01-30 11:52:25 EST
Similar problem has been detected:

It seems that PK crashed during checking for updates after wakeup from sleep/suspend.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: repo_internalize_trigger
executable:     /usr/libexec/packagekitd
journald_cursor: s=3842951306bc4ad3aa206a1397c7cadd;i=7cea;b=aefe43c82edd4c3388d9d71a89cce2ea;m=b6ad31e29;t=56400ee8e820b;x=c46387ae401c9382
kernel:         4.14.14-300.fc27.x86_64
package:        PackageKit-1.1.8-1.fc27
reason:         packagekitd killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0
Comment 30 Айфф 2018-02-04 11:28:24 EST
Similar problem has been detected:


reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: repo_internalize_trigger
executable:     /usr/libexec/packagekitd
journald_cursor: s=bb91f2f3057d4e2ab8f10dd52a274122;i=2675e;b=e35e38636ad0440b87bd152237f26f70;m=6c4cd9b9;t=56464d8c032e2;x=e6e4dc8c03a9627f
kernel:         4.14.13-300.fc27.x86_64
package:        PackageKit-1.1.8-1.fc27
reason:         packagekitd killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0
Comment 31 Paulim_hed 2018-02-06 17:53:33 EST
*** Bug 1542747 has been marked as a duplicate of this bug. ***
Comment 32 Paulim_hed 2018-02-09 18:00:52 EST
*** Bug 1544037 has been marked as a duplicate of this bug. ***
Comment 33 Chabot Daniel 2018-02-13 19:21:18 EST
*** Bug 1544989 has been marked as a duplicate of this bug. ***
Comment 34 octus 2018-02-18 14:44:40 EST
*** Bug 1546567 has been marked as a duplicate of this bug. ***
Comment 35 Paulim_hed 2018-02-20 21:16:51 EST
*** Bug 1547342 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.